org.apache.poi.ss.formula.ptg

## Class ParenthesisPtg

- java.lang.Object
- - org.apache.poi.ss.formula.ptg.Ptg
  - - org.apache.poi.ss.formula.ptg.ControlPtg
    - - org.apache.poi.ss.formula.ptg.ParenthesisPtg

- All Implemented Interfaces:
    Duplicatable

      public final class ParenthesisPtg
      extends ControlPtg

  While formula tokens are stored in RPN order and thus do not need parenthesis for precedence reasons, Parenthesis tokens ARE written to ensure that user entered parenthesis are displayed as-is on reading back

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ParenthesisPtg` | `instance`
    `static byte` | `sid`

    - ### Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParenthesisPtg` | `copy()`
    `int` | `getSize()`
    `java.lang.String` | `toFormulaString()` return a string representation of this token alone
    `java.lang.String` | `toFormulaString(java.lang.String[] operands)`
    `void` | `write(LittleEndianOutput out)`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.ControlPtg

      `getDefaultOperandClass, isBaseToken`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final byte sid

      See Also:
        Constant Field Values

    - #### instance

          public static final ParenthesisPtg instance

  - ### Method Detail

    - #### write

          public void write(LittleEndianOutput out)

      Specified by:
        `write` in class `Ptg`

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in class `Ptg`
      Returns:
        the encoded length of this Ptg, including the initial Ptg type identifier byte.

    - #### toFormulaString

          public java.lang.String toFormulaString()

      Description copied from class: `Ptg`
      return a string representation of this token alone
      Specified by:
        `toFormulaString` in class `Ptg`

    - #### toFormulaString

          public java.lang.String toFormulaString(java.lang.String[] operands)

    - #### copy

          public ParenthesisPtg copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `Ptg`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.